clear
clear all
clear matrix
set mem 200m
set matsize 5000
set more off

cd "C:\..." /*Change directory to one containing the dataset*/
use diseaseJPE.dta

/*Keep countries in balanced panel sample*/
keep if (sample40==1 & sample80==1) &sjbasesamplenoncomm==1

/*Year dummies from yy1 (1930) to yy8 (2000)*/
quietly: tab year, gen(yy) 

gen time=year/10-193
xtset ctry time

/*Create variables used in the empirical analysis*/
gen yvar=loggdppcmadd /*Variable of inteerst*/
gen lyvar=L.yvar

/**************************************/
**********BOTTOM PANEL, 1940-2000**********
/**************************************/

keep if year>1930

gmm (D.yvar-{beta}*D.loglifeexpect-{lambda}*{beta}*L.loglifeexpect+{lambda}*L.yvar-{time:yy3-yy8}) if year>1940, instruments(yy3-yy8, noconstant) xtinstruments(compsjmhatit, lags(1 2)) xtinstruments(yvar, lags(2 2)) winitial(xt D) wmatrix(cluster ctry)

gmm (D.yvar-{beta}*D.loglifeexpect-{lambda}*{beta}*L.loglifeexpect+{lambda}*L.yvar-{time:yy3-yy8}) if year>1940, instruments(yy3-yy8, noconstant) xtinstruments(compsjmhatit, lags(1/ .)) xtinstruments(yvar, lags(2/ .)) winitial(xt D) wmatrix(cluster ctry)

/**************************************/
**********TOP PANEL, 1940-1980**********
/**************************************/

keep if year<1990

gmm (D.yvar-{beta}*D.loglifeexpect-{lambda}*{beta}*L.loglifeexpect+{lambda}*L.yvar-{time:yy3-yy6}) if year>1940&year<1990, instruments(yy3-yy6, noconstant) xtinstruments(compsjmhatit, lags(1 2)) xtinstruments(yvar, lags(2 2)) winitial(xt D) wmatrix(cluster ctry)

gmm (D.yvar-{beta}*D.loglifeexpect-{lambda}*{beta}*L.loglifeexpect+{lambda}*L.yvar-{time:yy3-yy6}) if year>1940&year<1990, instruments(yy3-yy6, noconstant) xtinstruments(compsjmhatit, lags(1/ .)) xtinstruments(yvar, lags(2/ .)) winitial(xt D) wmatrix(cluster ctry)
